%% gh -- a compiler for Generic Haskell.
%% Copyright (c) 2001, 2004  The Generic Haskell Team. Utrecht University
%% 
%% This library is free software; you can redistribute it and/or modify
%% it under the terms of the GNU Lesser General Public License as
%% published by the Free Software Foundation; either version 2.1 of the
%% License, or (at your option) any later version.
%% 
%% This library is distributed in the hope that it will be useful, but
%% WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%% Lesser General Public License for more details.
%% 
%% You should have received a copy of the GNU Lesser General Public
%% License along with this library; if not, write to the Free Software
%% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%
%% $Id: OSSpecific.lhs.source,v 1.1 2003/09/18 16:28:17 cvs-4 Exp $
%% 
%% author: Andres Loeh (andres@cs.uu.nl)

> module OSSpecific where
>
> import System
>
> directorySeparators   = "/"
> directorySeparator    = '/'
> environmentSeparators = ";:"
> searchPath            = ["{GH_HOME}" ++ [s] ++ "lib" ++ [s]
>                         ,"{GH_HOME}" ++ [s] ++ "lib" ++ [s] 
>                                             ++ "interfaces" ++ [s,s]
>                         ,"{GH_LIBRARY_PATH}" ++ [s]
>                         ,"{GH_LIBRARY_PATH}" ++ "interfaces" ++ [s,s]
>                         ]
>   where s = directorySeparator
> splitDrive r          = ("",r)
> operatingSystem       = "Unix source"
> shell                 = system

> mkdir                 = "mkdir -p"
> rm                    = "rm -f"
> cp                    = "cp"
> diff                  = "diff -Nau"
> touch                 = "touch"

> bat                   = ""
> exe                   = ""
