module LMaybe
    (LMaybe.LMaybe(..)
    ,LMaybe.GHt_LMaybe
    ,LMaybe.ghEP_LMaybe
    ,LMaybe.GHC_LNothing
    ,LMaybe.GHt_GHC_LNothing
    ,LMaybe.ghEP_GHC_LNothing
    ,LMaybe.ghC_LNothing
    ,LMaybe.GHC_LJust
    ,LMaybe.GHt_GHC_LJust
    ,LMaybe.ghEP_GHC_LJust
    ,LMaybe.ghC_LJust
    ) where

import Prelude 
import GH.Prelude 
import qualified Prelude 
import qualified GH.Prelude 
-- LMaybe :: (* -> *) -> * -> *
data LMaybe f a = LNothing  | LJust (f a) 
type GHC_LNothing f a = LMaybe f a
type GHC_LJust f a = LMaybe f a
-- structure type for LMaybe
type GHt_LMaybe f a
    = GH.Prelude.Sum
        (GH.Prelude.Con {- LNothing -} (LMaybe.GHC_LNothing f a))
        (GH.Prelude.Con {- LJust -} (LMaybe.GHC_LJust f a))
type GHt_GHC_LNothing f a = GH.Prelude.Unit
type GHt_GHC_LJust f a = (f a)
-- embedding-projection pair for LMaybe
ghEP_LMaybe :: GH.Prelude.EP (LMaybe f a) (LMaybe.GHt_LMaybe f a)
ghEP_LMaybe  = let { gh_From gh_A@LNothing  = GH.Prelude.Inl
                                                (GH.Prelude.Con gh_A)
                   ; gh_From gh_A@(LJust gh_a) = GH.Prelude.Inr (GH.Prelude.Con
                                                                   gh_A)
                   ; gh_To (GH.Prelude.Inl (GH.Prelude.Con gh_A)) = gh_A
                   ; gh_To (GH.Prelude.Inr (GH.Prelude.Con gh_A)) = gh_A
                   } in
                 GH.Prelude.EP gh_From gh_To
                 
ghEP_GHC_LNothing
    :: GH.Prelude.EP (LMaybe.GHC_LNothing f a) (LMaybe.GHt_GHC_LNothing f a)
ghEP_GHC_LNothing  = let { gh_From LNothing  = GH.Prelude.Unit
                         ; gh_To GH.Prelude.Unit  = LNothing 
                         } in
                       GH.Prelude.EP gh_From gh_To
                       
ghEP_GHC_LJust
    :: GH.Prelude.EP (LMaybe.GHC_LJust f a) (LMaybe.GHt_GHC_LJust f a)
ghEP_GHC_LJust  = let { gh_From (LJust gh_a) = gh_a
                      ; gh_To gh_a = LJust gh_a
                      } in
                    GH.Prelude.EP gh_From gh_To
                    
-- constructor/label descriptors for LMaybe
ghC_LNothing :: GH.Prelude.ConDescr
ghC_LNothing  = (GH.Prelude.ConDescr "LNothing" "LMaybe" 0 Prelude.False
                   GH.Prelude.Nonfix)
ghC_LJust :: GH.Prelude.ConDescr
ghC_LJust  = (GH.Prelude.ConDescr "LJust" "LMaybe" 1 Prelude.False
                GH.Prelude.Nonfix)
--  
-- ***
-- normal/MPC specialisations
-- ***
--  
--  
-- ***
-- type-indexed type specialisations
-- ***
--  