module Map
    (Map.exTree
    ,Map.ghc_gmap__GHX_bobc
    ,Map.ghc_gmap__Prelude_IO
    ,Map.ghc_gmap__GHK_S
    ,Map.ghc_gmap__GH_Prelude_Label
    ,Map.ghc_gmap__GH_Prelude_Con
    ,Map.ghc_gmap__GHX_mngt
    ,Map.ghc_gmap__GH_Prelude_Prod
    ,Map.ghc_gmap__GH_Prelude_Sum
    ,Map.mapList
    ,Map.mapTree
    ,Map.List(..)
    ,Map.GHt_List
    ,Map.ghEP_List
    ,Map.GHC_Nil
    ,Map.GHt_GHC_Nil
    ,Map.ghEP_GHC_Nil
    ,Map.ghC_Nil
    ,Map.GHC_Cons
    ,Map.GHt_GHC_Cons
    ,Map.ghEP_GHC_Cons
    ,Map.ghC_Cons
    ,Map.Tree(..)
    ,Map.GHt_Tree
    ,Map.ghEP_Tree
    ,Map.GHC_Leaf
    ,Map.GHt_GHC_Leaf
    ,Map.ghEP_GHC_Leaf
    ,Map.ghC_Leaf
    ,Map.GHC_Bin
    ,Map.GHt_GHC_Bin
    ,Map.ghEP_GHC_Bin
    ,Map.ghC_Bin
    ) where

import Prelude 
import GH.Prelude 
import qualified Prelude 
import qualified GH.Prelude 


-- cp(gmap,GH.Prelude.Sum)      component of gmap for GH.Prelude.Sum
ghc_gmap__GH_Prelude_Sum
    :: (u1 -> u2)
         -> (u3 -> u4) -> GH.Prelude.Sum u1 u3 -> GH.Prelude.Sum u2 u4
ghc_gmap__GH_Prelude_Sum gmapA gmapB (Inl a) = Inl (gmapA a)
ghc_gmap__GH_Prelude_Sum gmapA gmapB (Inr b) = Inr (gmapB b)
-- cp(gmap,GH.Prelude.Prod)      component of gmap for GH.Prelude.Prod
ghc_gmap__GH_Prelude_Prod
    :: (u1 -> u2)
         -> (u3 -> u4) -> GH.Prelude.Prod u1 u3 -> GH.Prelude.Prod u2 u4
ghc_gmap__GH_Prelude_Prod gmapA gmapB (a :*: b) = (gmapA a) :*: (gmapB
                                                                   b)
-- cp(gmap,(->))      component of gmap for (->)
ghc_gmap__GHX_mngt
    :: (u1 -> u2) -> (u3 -> u4) -> (->) u1 u3 -> (->) u2 u4
ghc_gmap__GHX_mngt gmapA gmapB _ = error
                                     "gmap not defined for function types"
-- cp(gmap,GH.Prelude.Con)      component of gmap for GH.Prelude.Con
ghc_gmap__GH_Prelude_Con
    :: ConDescr -> (u1 -> u2) -> GH.Prelude.Con u1 -> GH.Prelude.Con u2
ghc_gmap__GH_Prelude_Con c gmapA (Con a) = Con (gmapA a)
-- cp(gmap,GH.Prelude.Label)      component of gmap for GH.Prelude.Label
ghc_gmap__GH_Prelude_Label
    :: LabelDescr
         -> (u1 -> u2) -> GH.Prelude.Label u1 -> GH.Prelude.Label u2
ghc_gmap__GH_Prelude_Label l gmapA (Label a) = Label (gmapA a)
-- cp(gmap,GHK_S)      component of gmap for GHK_S
ghc_gmap__GHK_S :: a -> a
ghc_gmap__GHK_S  = id
-- cp(gmap,IO)      component of gmap for IO
ghc_gmap__Prelude_IO :: (u1 -> u2) -> IO u1 -> IO u2
ghc_gmap__Prelude_IO gmapA = fmap gmapA
-- cp(gmap,[])      component of gmap for []
ghc_gmap__GHX_bobc :: (u1 -> u2) -> [] u1 -> [] u2
ghc_gmap__GHX_bobc gmapA = map gmapA
-- List :: * -> *
data List a = Nil  | Cons a (List a) deriving Show
type GHC_Nil a = List a
type GHC_Cons a = List a
-- structure type for List
type GHt_List a
    = GH.Prelude.Sum
        (GH.Prelude.Con {- Nil -} (Map.GHC_Nil a))
        (GH.Prelude.Con {- Cons -} (Map.GHC_Cons a))
type GHt_GHC_Nil a = GH.Prelude.Unit
type GHt_GHC_Cons a = GH.Prelude.Prod (a) ((List a))
-- embedding-projection pair for List
ghEP_List :: GH.Prelude.EP (List a) (Map.GHt_List a)
ghEP_List  = let { gh_From gh_A@Nil  = GH.Prelude.Inl (GH.Prelude.Con
                                                         gh_A)
                 ; gh_From gh_A@(Cons gh_a gh_b) = GH.Prelude.Inr
                                                     (GH.Prelude.Con gh_A)
                 ; gh_To (GH.Prelude.Inl (GH.Prelude.Con gh_A)) = gh_A
                 ; gh_To (GH.Prelude.Inr (GH.Prelude.Con gh_A)) = gh_A
                 } in
               GH.Prelude.EP gh_From gh_To
               
ghEP_GHC_Nil :: GH.Prelude.EP (Map.GHC_Nil a) (Map.GHt_GHC_Nil a)
ghEP_GHC_Nil  = let { gh_From Nil  = GH.Prelude.Unit
                    ; gh_To GH.Prelude.Unit  = Nil 
                    } in
                  GH.Prelude.EP gh_From gh_To
                  
ghEP_GHC_Cons :: GH.Prelude.EP (Map.GHC_Cons a) (Map.GHt_GHC_Cons a)
ghEP_GHC_Cons  = let { gh_From (Cons gh_a gh_b) = (gh_a
                                                     GH.Prelude.:*: gh_b)
                     ; gh_To (gh_a GH.Prelude.:*: gh_b) = Cons gh_a gh_b
                     } in
                   GH.Prelude.EP gh_From gh_To
                   
-- constructor/label descriptors for List
ghC_Nil :: GH.Prelude.ConDescr
ghC_Nil  = (GH.Prelude.ConDescr "Nil" "List" 0 (0,2) Prelude.False
              GH.Prelude.Nonfix)
ghC_Cons :: GH.Prelude.ConDescr
ghC_Cons  = (GH.Prelude.ConDescr "Cons" "List" 2 (1,2) Prelude.False
               GH.Prelude.Nonfix)
-- Tree :: * -> * -> *
data Tree a b = Leaf a | Bin (Tree a b) b (Tree a b) deriving Show
type GHC_Leaf a b = Tree a b
type GHC_Bin a b = Tree a b
-- structure type for Tree
type GHt_Tree a b
    = GH.Prelude.Sum
        (GH.Prelude.Con {- Leaf -} (Map.GHC_Leaf a b))
        (GH.Prelude.Con {- Bin -} (Map.GHC_Bin a b))
type GHt_GHC_Leaf a b = a
type GHt_GHC_Bin a b
    = GH.Prelude.Prod ((Tree a b)) (GH.Prelude.Prod (b) ((Tree a b)))
-- embedding-projection pair for Tree
ghEP_Tree :: GH.Prelude.EP (Tree a b) (Map.GHt_Tree a b)
ghEP_Tree  = let { gh_From gh_A@(Leaf gh_a) = GH.Prelude.Inl
                                                (GH.Prelude.Con gh_A)
                 ; gh_From gh_A@(Bin gh_a gh_b gh_c) = GH.Prelude.Inr
                                                         (GH.Prelude.Con gh_A)
                 ; gh_To (GH.Prelude.Inl (GH.Prelude.Con gh_A)) = gh_A
                 ; gh_To (GH.Prelude.Inr (GH.Prelude.Con gh_A)) = gh_A
                 } in
               GH.Prelude.EP gh_From gh_To
               
ghEP_GHC_Leaf :: GH.Prelude.EP (Map.GHC_Leaf a b) (Map.GHt_GHC_Leaf a b)
ghEP_GHC_Leaf  = let { gh_From (Leaf gh_a) = gh_a
                     ; gh_To gh_a = Leaf gh_a
                     } in
                   GH.Prelude.EP gh_From gh_To
                   
ghEP_GHC_Bin :: GH.Prelude.EP (Map.GHC_Bin a b) (Map.GHt_GHC_Bin a b)
ghEP_GHC_Bin  = let { gh_From (Bin gh_a gh_b gh_c) = (gh_a
                                                        GH.Prelude.:*: (gh_b
                                                                          GH.Prelude.:*: gh_c))
                    ; gh_To (gh_a GH.Prelude.:*: (gh_b GH.Prelude.:*: gh_c))
                        = Bin gh_a gh_b gh_c
                    } in
                  GH.Prelude.EP gh_From gh_To
                  
-- constructor/label descriptors for Tree
ghC_Leaf :: GH.Prelude.ConDescr
ghC_Leaf  = (GH.Prelude.ConDescr "Leaf" "Tree" 1 (0,2) Prelude.False
               GH.Prelude.Nonfix)
ghC_Bin :: GH.Prelude.ConDescr
ghC_Bin  = (GH.Prelude.ConDescr "Bin" "Tree" 3 (1,2) Prelude.False
              GH.Prelude.Nonfix)
exTree :: Tree Int Int
exTree = Bin (Bin (Leaf 1) 2 (Leaf 3)) 4 (Leaf 5)
mapList = ghs_Map_gmap__Map_List
mapTree = (ghs_Map_gmap__Map_Tree ghs_Map_gmap__Prelude_Int)
--  
-- ***
-- normal/MPC specialisations
-- ***
--  
ghs_Map_gmap__Map_GHt_GHC_Leaf
    :: (u1 -> u2)
         -> (u3 -> u4) -> Map.GHt_GHC_Leaf u1 u3 -> Map.GHt_GHC_Leaf u2 u4
ghs_Map_gmap__Map_GHC_Leaf
    :: (u1 -> u2) -> (u3 -> u4) -> Map.GHC_Leaf u1 u3 -> Map.GHC_Leaf u2 u4
ghs_Map_gmap__Map_GHt_GHC_Leaf ghs_Map_gmap__a ghs_Map_gmap__b
  = ghs_Map_gmap__a
ghs_Map_gmap__Map_GHC_Leaf ghs_Map_gmap__a ghs_Map_gmap__b
  = GH.Prelude.to ((ghs_GH_Prelude_bimap__GHX_mngt Map.ghEP_GHC_Leaf
                      Map.ghEP_GHC_Leaf)) (ghs_Map_gmap__Map_GHt_GHC_Leaf
                                             ghs_Map_gmap__a ghs_Map_gmap__b)
ghs_Map_gmap__Map_GHt_GHC_Bin
    :: (u1 -> u2)
         -> (u3 -> u4) -> Map.GHt_GHC_Bin u1 u3 -> Map.GHt_GHC_Bin u2 u4
ghs_Map_gmap__Map_GHC_Bin
    :: (u1 -> u2) -> (u3 -> u4) -> Map.GHC_Bin u1 u3 -> Map.GHC_Bin u2 u4
ghs_Map_gmap__Map_GHt_GHC_Bin ghs_Map_gmap__a ghs_Map_gmap__b
  = (ghs_Map_gmap__GH_Prelude_Prod (ghs_Map_gmap__Map_Tree ghs_Map_gmap__a
                                      ghs_Map_gmap__b)
       (ghs_Map_gmap__GH_Prelude_Prod ghs_Map_gmap__b (ghs_Map_gmap__Map_Tree
                                                         ghs_Map_gmap__a
                                                         ghs_Map_gmap__b)))
ghs_Map_gmap__Map_GHC_Bin ghs_Map_gmap__a ghs_Map_gmap__b
  = GH.Prelude.to ((ghs_GH_Prelude_bimap__GHX_mngt Map.ghEP_GHC_Bin
                      Map.ghEP_GHC_Bin)) (ghs_Map_gmap__Map_GHt_GHC_Bin
                                            ghs_Map_gmap__a ghs_Map_gmap__b)
ghs_Map_gmap__Map_GHt_GHC_Nil
    :: (u1 -> u2) -> Map.GHt_GHC_Nil u1 -> Map.GHt_GHC_Nil u2
ghs_Map_gmap__Map_GHC_Nil
    :: (u1 -> u2) -> Map.GHC_Nil u1 -> Map.GHC_Nil u2
ghs_Map_gmap__Map_GHt_GHC_Nil ghs_Map_gmap__a
  = ghs_Map_gmap__GH_Prelude_Unit
ghs_Map_gmap__Map_GHC_Nil ghs_Map_gmap__a = GH.Prelude.to
                                              ((ghs_GH_Prelude_bimap__GHX_mngt
                                                  Map.ghEP_GHC_Nil
                                                  Map.ghEP_GHC_Nil))
                                              (ghs_Map_gmap__Map_GHt_GHC_Nil
                                                 ghs_Map_gmap__a)
ghs_Map_gmap__Map_GHt_GHC_Cons
    :: (u1 -> u2) -> Map.GHt_GHC_Cons u1 -> Map.GHt_GHC_Cons u2
ghs_Map_gmap__Map_GHC_Cons
    :: (u1 -> u2) -> Map.GHC_Cons u1 -> Map.GHC_Cons u2
ghs_Map_gmap__Map_GHt_GHC_Cons ghs_Map_gmap__a
  = (ghs_Map_gmap__GH_Prelude_Prod ghs_Map_gmap__a (ghs_Map_gmap__Map_List
                                                      ghs_Map_gmap__a))
ghs_Map_gmap__Map_GHC_Cons ghs_Map_gmap__a = GH.Prelude.to
                                               ((ghs_GH_Prelude_bimap__GHX_mngt
                                                   Map.ghEP_GHC_Cons
                                                   Map.ghEP_GHC_Cons))
                                               (ghs_Map_gmap__Map_GHt_GHC_Cons
                                                  ghs_Map_gmap__a)
ghs_Map_gmap__Map_GHt_Tree
    :: (u1 -> u2) -> (u3 -> u4) -> Map.GHt_Tree u1 u3 -> Map.GHt_Tree u2 u4
ghs_Map_gmap__Map_Tree
    :: (u1 -> u2) -> (u3 -> u4) -> Tree u1 u3 -> Tree u2 u4
ghs_Map_gmap__Map_GHt_Tree ghs_Map_gmap__a ghs_Map_gmap__b
  = (ghs_Map_gmap__GH_Prelude_Sum ((ghs_Map_gmap__GH_Prelude_Con
                                      Map.ghC_Leaf) (ghs_Map_gmap__Map_GHC_Leaf
                                                       ghs_Map_gmap__a
                                                       ghs_Map_gmap__b))
       ((ghs_Map_gmap__GH_Prelude_Con Map.ghC_Bin) (ghs_Map_gmap__Map_GHC_Bin
                                                      ghs_Map_gmap__a
                                                      ghs_Map_gmap__b)))
ghs_Map_gmap__Map_Tree ghs_Map_gmap__a ghs_Map_gmap__b = GH.Prelude.to
                                                           ((ghs_GH_Prelude_bimap__GHX_mngt
                                                               Map.ghEP_Tree
                                                               Map.ghEP_Tree))
                                                           (ghs_Map_gmap__Map_GHt_Tree
                                                              ghs_Map_gmap__a
                                                              ghs_Map_gmap__b)
ghs_Map_gmap__Map_GHt_List
    :: (u1 -> u2) -> Map.GHt_List u1 -> Map.GHt_List u2
ghs_Map_gmap__Map_List :: (u1 -> u2) -> List u1 -> List u2
ghs_Map_gmap__Map_GHt_List ghs_Map_gmap__a
  = (ghs_Map_gmap__GH_Prelude_Sum ((ghs_Map_gmap__GH_Prelude_Con
                                      Map.ghC_Nil) (ghs_Map_gmap__Map_GHC_Nil
                                                      ghs_Map_gmap__a))
       ((ghs_Map_gmap__GH_Prelude_Con Map.ghC_Cons) (ghs_Map_gmap__Map_GHC_Cons
                                                       ghs_Map_gmap__a)))
ghs_Map_gmap__Map_List ghs_Map_gmap__a = GH.Prelude.to
                                           ((ghs_GH_Prelude_bimap__GHX_mngt
                                               Map.ghEP_List Map.ghEP_List))
                                           (ghs_Map_gmap__Map_GHt_List
                                              ghs_Map_gmap__a)
ghs_GH_Prelude_bimap__GH_Prelude_EP
    :: GH.Prelude.EP a1 a2
         -> GH.Prelude.EP a3 a4
              -> GH.Prelude.EP (GH.Prelude.EP a1 a3) (GH.Prelude.EP a2 a4)
ghs_GH_Prelude_bimap__GH_Prelude_EP gh_a gh_b
  = GH.Prelude.ghc_bimap__GH_Prelude_EP gh_a gh_b
ghs_GH_Prelude_bimap__GHX_mngt
    :: GH.Prelude.EP a1 a2
         -> GH.Prelude.EP a3 a4 -> GH.Prelude.EP ((->) a1 a3) ((->) a2 a4)
ghs_GH_Prelude_bimap__GHX_mngt gh_a gh_b
  = GH.Prelude.ghc_bimap__GHX_mngt gh_a gh_b
ghs_Map_gmap__GHX_bobc :: (u1 -> u2) -> [] u1 -> [] u2
ghs_Map_gmap__GHX_bobc gh_a gh_b = Map.ghc_gmap__GHX_bobc gh_a gh_b
ghs_Map_gmap__Prelude_IO :: (u1 -> u2) -> IO u1 -> IO u2
ghs_Map_gmap__Prelude_IO gh_a gh_b = Map.ghc_gmap__Prelude_IO gh_a gh_b
ghs_Map_gmap__GH_Prelude_Label
    :: LabelDescr
         -> (u1 -> u2) -> GH.Prelude.Label u1 -> GH.Prelude.Label u2
ghs_Map_gmap__GH_Prelude_Label gh_a gh_b gh_c
  = Map.ghc_gmap__GH_Prelude_Label gh_a gh_b gh_c
ghs_Map_gmap__GH_Prelude_Con
    :: ConDescr -> (u1 -> u2) -> GH.Prelude.Con u1 -> GH.Prelude.Con u2
ghs_Map_gmap__GH_Prelude_Con gh_a gh_b gh_c
  = Map.ghc_gmap__GH_Prelude_Con gh_a gh_b gh_c
ghs_Map_gmap__GHX_mngt
    :: (u1 -> u2) -> (u3 -> u4) -> (->) u1 u3 -> (->) u2 u4
ghs_Map_gmap__GHX_mngt gh_a gh_b gh_c gh_d = Map.ghc_gmap__GHX_mngt gh_a
                                               gh_b gh_c gh_d
ghs_Map_gmap__GH_Prelude_Prod
    :: (u1 -> u2)
         -> (u3 -> u4) -> GH.Prelude.Prod u1 u3 -> GH.Prelude.Prod u2 u4
ghs_Map_gmap__GH_Prelude_Prod gh_a gh_b gh_c
  = Map.ghc_gmap__GH_Prelude_Prod gh_a gh_b gh_c
ghs_Map_gmap__GH_Prelude_Sum
    :: (u1 -> u2)
         -> (u3 -> u4) -> GH.Prelude.Sum u1 u3 -> GH.Prelude.Sum u2 u4
ghs_Map_gmap__GH_Prelude_Sum gh_a gh_b gh_c
  = Map.ghc_gmap__GH_Prelude_Sum gh_a gh_b gh_c
ghs_Map_gmap__GH_Prelude_Unit :: GH.Prelude.Unit -> GH.Prelude.Unit
ghs_Map_gmap__GH_Prelude_Unit gh_a = Map.ghc_gmap__GHK_S gh_a
ghs_Map_gmap__Prelude_Int :: Int -> Int
ghs_Map_gmap__Prelude_Int gh_a = Map.ghc_gmap__GHK_S gh_a
--  
-- ***
-- type-indexed type specialisations
-- ***
--  